Roberto Alsina 3 months ago
parent
commit
0dd1c858e1
  1. 4
      notebook_nueva/battery_holder.py
  2. 6
      notebook_nueva/cpu_holder.py
  3. 4
      notebook_nueva/modelo.py

4
notebook_nueva/battery_holder.py

@ -1,7 +1,9 @@
import cadquery as cq
stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)]
stands = cq.Sketch().push(stand_positions).circle(3, mode="a").circle(2.65 / 2, mode="s")
stands = (
cq.Sketch().push(stand_positions).circle(3, mode="a").circle(2.65 / 2, mode="s")
)
pillar_height = 7
# Holes for the battery power cable and button

6
notebook_nueva/cpu_holder.py

@ -2,5 +2,7 @@ import cadquery as cq
cpu_stand_positions = [(0, 0), (0, 23), (58, 23), (58, 0)]
stands = cq.Sketch().push(cpu_stand_positions).circle(3, mode="a").circle(2.65 / 2, mode="s")
pillar_height = 7
stands = (
cq.Sketch().push(cpu_stand_positions).circle(3, mode="a").circle(2.65 / 2, mode="s")
)
pillar_height = 7

4
notebook_nueva/modelo.py

@ -144,7 +144,7 @@ def model():
# available, keyboard height, cable length, etc.
.faces(">Y")
.workplane(centerOption="CenterOfBoundBox")
.center(- width / 2 + shell_t + usb_offset + 13 / 2, -8)
.center(-width / 2 + shell_t + usb_offset + 13 / 2, -8)
.placeSketch(usb_in)
.cutBlind(-shell_t)
# Audio plugs
@ -215,7 +215,7 @@ def model():
# Channel for the usb hub
.faces(">Y")
.workplane(centerOption="CenterOfBoundBox")
.center(- width / 2 + shell_t + usb_offset + 13 / 2, -8)
.center(-width / 2 + shell_t + usb_offset + 13 / 2, -8)
.placeSketch(usb_holder)
.extrude(-shell_t - 8)
)

Loading…
Cancel
Save